Commit f7fe0627 authored by jcfr's avatar jcfr
Browse files

COMP: Re-add option Slicer_USE_NUMPY - enabled by default

git-svn-id: http://svn.slicer.org/Slicer4/trunk@15410 3bd1e089-480b-0410-8dfb-8563597acbee
parent f0a40f36
......@@ -133,6 +133,9 @@ OPTION(Slicer_BUILD_CLI "Build Slicer CLI Plugins" ON)
OPTION(Slicer_USE_PYTHONQT "Integrate a python-QT interpreter into Slicer." ON)
OPTION(Slicer_USE_PYTHONQT_WITH_TCL "Enable PythonQt Tcl adapter layer" ON)
#MARK_AS_ADVANCED(Slicer_USE_PYTHONQT_WITH_TCL)
OPTION(Slicer_USE_NUMPY "Build Slicer with NumPy" ON)
#OPTION(Slicer_USE_WEAVE "Build Slicer with Weave" OFF)
#MARK_AS_ADVANCED(Slicer_USE_WEAVE)
OPTION(Slicer_USE_BatchMake "Build Slicer with BatchMake support." ON)
OPTION(Slicer_USE_MIDAS "Build Slicer with MIDAS support." OFF)
OPTION(Slicer_USE_OPENIGTLINK "Build Slicer with OpenIGTLink support." ON)
......
......@@ -120,11 +120,13 @@ endif()
if(Slicer_USE_PYTHON OR Slicer_USE_PYTHONQT)
include(SuperBuild/External_Python26.cmake)
if(Slicer_BUILD_NUMPY)
if(Slicer_USE_NUMPY)
include(SuperBuild/External_CLAPACK.cmake)
include(SuperBuild/External_NUMPY.cmake)
include(SuperBuild/External_weave.cmake)
if(Slicer_BUILD_SCIPY)
if(Slicer_USE_WEAVE)
include(SuperBuild/External_weave.cmake)
endif()
if(Slicer_USE_SCIPY)
include(SuperBuild/External_SciPy.cmake)
endif()
endif()
......@@ -177,9 +179,9 @@ endif()
if(Slicer_USE_PYTHON OR Slicer_USE_PYTHONQT)
list(APPEND slicer_DEPENDENCIES python)
if(Slicer_BUILD_NUMPY)
if(Slicer_USE_NUMPY)
list(APPEND slicer_DEPENDENCIES NUMPY)
if(Slicer_BUILD_SCIPY)
if(Slicer_USE_SCIPY)
list(APPEND slicer_DEPENDENCIES scipy)
endif()
endif()
......@@ -222,7 +224,8 @@ SET(slicer_cmake_boolean_args
Slicer_USE_OPENIGTLINK
Slicer_USE_OPENCV
Slicer_WITH_LIBRARY_VERSION
#Slicer_BUILD_NUMPY
Slicer_USE_NUMPY
#Slicer_USE_WEAVE
# Deprecated
Slicer_USE_PYTHON
Slicer_USE_KWWIDGETS
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment